Bug 218470 - initrd not loaded with > 4 GB and PAE kernel
initrd not loaded with > 4 GB and PAE kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-12-05 11:33 EST by Diego Santa Cruz
Modified: 2008-02-07 23:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:28:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego Santa Cruz 2006-12-05 11:33:39 EST
Description of problem:

PAE enabled Kernel does not boot since it cannot find initrd on a machine with
4GB of memory.


Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2849.fc6PAE
grub-0.97-13

How reproducible:
Always

Steps to Reproduce:
1. Attempt to boot kernel on system with > 4 GB, with initrd, from GRUB
2.
3.
  
Actual results:
Kernel does not find initrd image (initramfs) and panics since it cannot find init.


Additional info:
The machine has 4 GB of memory, but the upper 2 GB are mapped above the 4 GB
barrier.

Adding "mem=4096M" to the kernel command line overcomes the problems, but
disables the upper 2GB of memory. 

BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009ec00 (usable)
 BIOS-e820: 000000000009ec00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007ffa0000 (usable)
 BIOS-e820: 000000007ffa0000 - 000000007ffae000 (ACPI data)
 BIOS-e820: 000000007ffae000 - 000000007ffe0000 (ACPI NVS)
 BIOS-e820: 000000007ffe0000 - 0000000080000000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000180000000 (usable)

GRUB config:

title Fedora Core (2.6.18-1.2849.fc6PAE)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.18-1.2849.fc6PAE ro root=/dev/md0 rhgb quiet
        initrd /boot/initrd-2.6.18-1.2849.fc6PAE.img
Comment 1 Jon Stanley 2008-01-07 20:50:39 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:28:50 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.